import * as react_jsx_runtime from 'react/jsx-runtime';
import { NFTCollectionViewProps, NFTDetailProps, Crossmint, createCrossmint } from '@crossmint/common-sdk-base';
import { CrossmintEmbeddedCheckoutProps, CrossmintPayButtonProps } from '@crossmint/client-sdk-base';
export { CrossmintEvent, CrossmintEventMap, CrossmintEvents, useCrossmintEvents } from '@crossmint/client-sdk-base';
import * as react from 'react';
import { MouseEvent, CSSProperties, ReactNode } from 'react';
import * as _crossmint_client_sdk_smart_wallet from '@crossmint/client-sdk-smart-wallet';
import { EVMSmartWallet } from '@crossmint/client-sdk-smart-wallet';
import { AuthProviderParams } from '@crossmint/client-sdk-auth-core';

declare function CrossmintNFTCollectionView(props: NFTCollectionViewProps): react_jsx_runtime.JSX.Element;

declare function CrossmintNFTDetail(props: NFTDetailProps): react_jsx_runtime.JSX.Element;

declare function CrossmintPaymentElement(props: CrossmintEmbeddedCheckoutProps): react_jsx_runtime.JSX.Element;

type CrossmintPayButtonReactProps = CrossmintPayButtonProps & {
    onClick?: (e: MouseEvent<HTMLButtonElement>) => void;
    style?: CSSProperties;
};
declare function CrossmintPayButton(buttonProps: CrossmintPayButtonReactProps): react_jsx_runtime.JSX.Element;

interface CrossmintContext {
    crossmint: Crossmint;
    setJwt: (jwt: string | undefined) => void;
}
declare function CrossmintProvider({ children, ...createCrossmintParams }: {
    children: ReactNode;
} & Parameters<typeof createCrossmint>[0]): react_jsx_runtime.JSX.Element;
declare function useCrossmint(): CrossmintContext;

declare function useAuth(): {
    wallet: _crossmint_client_sdk_smart_wallet.EVMSmartWallet | null;
    login: () => void;
    logout: () => void;
    jwt: string | null;
};

type AuthWalletProviderParams = AuthProviderParams & {
    embeddedWallets: {
        type: "evm-smart-wallet";
        defaultChain: "polygon-amoy" | "base-sepolia";
        createOnLogin: "all-users" | "off";
    };
};
declare const WalletContext: react.Context<{
    wallet: EVMSmartWallet | null;
}>;
declare function CrossmintAuthProvider(props: AuthWalletProviderParams): react_jsx_runtime.JSX.Element;

export { CrossmintAuthProvider, type CrossmintContext, CrossmintNFTCollectionView, CrossmintNFTDetail, CrossmintPayButton, type CrossmintPayButtonReactProps, CrossmintPaymentElement, CrossmintProvider, WalletContext, useAuth, useCrossmint };
